Update an existing alert to modify its details, add context, or reflect workflow progression.
Request structure
curl -X PUT 'https://api.cloud.blnkfinance.com/alerts/flag/ano_8a380fd1-0289-46d1-bc76-aa17a510a64e' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"title": "An identity has been flagged in a sanction list.",
"description": "this is a test from an update",
"status": "PENDING_REVIEW"
}'
Unique identifier of the alert you want to update. Must be a valid alert ID.
Updated title for the alert.
Updated description of the alert.
Updated status of the alert.
Response structure
{
"anomaly_id": "ano_8a380fd1-0289-46d1-bc76-aa17a510a64e",
"title": "An identity has been flagged in a sanction list.",
"description": "this is a test from an update",
"type": "Balance",
"assigned_to": "jerrys enebeli",
"escalated_to": [
"user_01K4EX0BRXHNNGCRVT2TPNK07W"
],
"status": "FLAGGED",
"created_at": "2026-01-15T09:22:37.55763+01:00",
"updated_at": "2026-01-15T09:26:03.094425+01:00",
"affected_balances": [
"bln_20f02af6-3728-4d37-9b5a-c7ed080f09df"
],
"affected_identities": [],
"affected_transactions": []
}
Unique identifier for the alert.
The updated title of the alert, if provided.
The updated description of the alert.
The type or category of the alert (e.g., “Balance”, “Transaction”, “Identity”).
The name or identifier of the user assigned to handle the alert.
Array of user identifiers to whom the alert has been escalated.
The current status of the alert (e.g., “FLAGGED”).
ISO 8601 formatted timestamp of when the alert was created.
ISO 8601 formatted timestamp of when the alert was last updated.
Array of balance IDs affected by this alert.
Array of identity IDs affected by this alert.
Array of transaction IDs affected by this alert.
Need help?
If you’re having trouble with Blnk Cloud, don’t hesitate to send us a message via email at support@blnkfinance.com or send us a message here.